/*******************************************************************************
 * Copyright (c) 2000, 2005 IBM Corporation and others.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *     IBM Corporation - initial API and implementation
 * Port to the D programming language:
 *     Frank Benoit <benoit@tionex.de>
 *******************************************************************************/
module dwtx.jface.text.source.LineRange;

import dwt.dwthelper.utils;

/**
 * Default implementation of {@link ILineRange}.
 *
 * @since 3.0
 */
public final class LineRange : ILineRange {

    private int fStartLine;
    private int fNumberOfLines;

    /**
     * Creates a new line range with the given specification.
     *
     * @param startLine the start line
     * @param numberOfLines the number of lines
     */
    public LineRange(int startLine, int numberOfLines) {
        fStartLine= startLine;
        fNumberOfLines= numberOfLines;
    }

    /*
     * @see dwtx.jface.text.source.ILineRange#getStartLine()
     */
    public int getStartLine() {
        return fStartLine;
    }

    /*
     * @see dwtx.jface.text.source.ILineRange#getNumberOfLines()
     */
    public int getNumberOfLines() {
        return fNumberOfLines;
    }
}
